org.eclipse.microprofile.metrics.tck.metrics

## Class TimedClassBeanTest

- java.lang.Object
- - org.eclipse.microprofile.metrics.tck.metrics.TimedClassBeanTest

    public class TimedClassBeanTest
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`TimedClassBeanTest()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `callTimedMethodsOnce()`
`void` `instantiateApplicationScopedBean()`
`void` `timedMethodsNotCalledYet()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TimedClassBeanTest

    public TimedClassBeanTest()

### Method Detail

#### instantiateApplicationScopedBean

    public void instantiateApplicationScopedBean()

#### timedMethodsNotCalledYet

    @InSequence(value=1)
    public void timedMethodsNotCalledYet()

#### callTimedMethodsOnce

    @InSequence(value=2)
    public void callTimedMethodsOnce()